# $Revision: 1.15 $, $Date: 2010/08/20 13:09:41 $
%include	/usr/lib/rpm/macros.php
%define		_class		Text
%define		_subclass	Figlet
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Render text using FIGlet fonts
Summary(pl.UTF-8):	%{_pearname} - Renderowanie tekstu z użyciem fontów FIGleta
Name:		php-pear-%{_pearname}
Version:	1.0.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e92e1b45796cb0f3e0174bb55ebebc72
URL:		http://pear.php.net/package/Text_Figlet/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.4
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Engine for use FIGlet fonts to rendering text.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Silnik do renderowania tekstu z użyciem fontów FIGleta.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/data/Text_Figlet

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_Figlet.spec,v $
Revision 1.15  2010/08/20 13:09:41  glen
- updated to: 1.0.2

Revision 1.14  2008/12/27 00:36:58  adamg
- updated to 1.0.1

Revision 1.13  2008-01-31 12:16:50  glen
- rel 3

Revision 1.12  2007-11-12 15:19:51  glen
- typo; rel 2

Revision 1.11  2007/02/28 01:50:55  glen
- 1.0.0-stable

Revision 1.10  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.8  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.7  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.6  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.5  2005/10/05 20:58:01  glen
- rel 1

Revision 1.4  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.3  2005/09/29 19:47:15  glen
- new pear packaging; updated  to 0.8.1

Revision 1.2  2004/12/11 20:39:12  qboosh
- pl fix, no redundant dir in doc

Revision 1.1  2004/12/10 19:07:22  adamg
- new
